<form #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="reasonPopup(f)">

  <div class="form-group">
    <label class="col-sm-12 control-label" *ngIf="type=='f'">Force Logout Reason<i aria-hidden="true" class="mandatory">*</i></label>
    <label class="col-sm-12 control-label" *ngIf="type=='b'">Force Logout & Driver Block reason<i aria-hidden="true" class="mandatory">*</i></label>
    <div class="col-sm-12 form-input">
      <mat-select class="form-control" placeholder="Favorite" [(ngModel)]="cancelReasonlModel.cancelreason" name="cancelreason"
        #cancelreason="ngModel" required>
        <mat-option value="">select reason</mat-option>
        <mat-option [value]="reasons" *ngFor="let reasons of reasonsItems">
          {{reasons.reason}}
        </mat-option>
      </mat-select>
      <div class="error-msg" *ngIf="cancelreason.errors && (cancelreason.dirty || cancelreason.touched || f.submitted)">
        <div [hidden]="!cancelreason.errors.required">Driver block reason Required.</div>
      </div>
    </div>
  </div>


  <div class="form-group">
    <label class="col-sm-12 control-label">Type your reason</label>
    <div class="col-sm-12 form-input">
      <textarea type="text" rows="5" class="form-control" maxlength="70" placeholder="Type your reason here.." name="cancel Text"
        #cancelText="ngModel" [(ngModel)]="cancelReasonlModel.cancelText"></textarea>
    </div>
  </div>



  <div class="form-group">
    <div class="col-sm-4 col-sm-offset-1">
      <button [disabled]='cancelReasonlModel.cancelreason=="" ' class="btn btn-sm btn-primary blue" type="submit"
        [mat-dialog-close]='cancelReasonlModel'>Update</button>
    </div>
    <div class="col-sm-4 col-sm-offset-1">
      <button class="btn btn-sm btn-primary red" type="button" [mat-dialog-close]>Cancel</button>
    </div>
  </div>
</form>